pageHelper对于不支持的数据库,可以实现com.github.pagehelper.parser.Parser接口

zhu_kai1 发布于 2017/06/09 17:31
阅读 1K+
收藏 0

@Liuzh_533 你好,想跟你请教个问题:

对于不支持的数据库,可以实现com.github.pagehelper.parser.Parser接口,然后配置到dialect参数中(4.0.2版本增加)。 我看了下github上的代码没有这个接口啊,用的是4.2.1版本的。由于有个项目需要用达梦数据库(DM),查看了插件貌似没有写支持DM,请问是否有对应支持DM数据库的例子啊!

加载中
0
Liuzh_533
Liuzh_533

以前有人自己实现过DM数据库的分页。。

建议用5.x最新版本。5.x参考现有例子继承`com.github.pagehelper.dialect.AbstractHelperDialect`

 

4.2.1版本实现`com.github.pagehelper.Dialect`接口或者继承`com.github.pagehelper.AbstractDialect`.

weichao
weichao
哪有5.x例子 发我看一下 谢谢
zhu_kai1
zhu_kai1
好的,谢谢,我去研究下
0
丿盘他灬
丿盘他灬

解决了么楼主,我这也有项目用达梦

zhu_kai1
zhu_kai1
好像官方目前实现了,我最后那个项目没用了
返回顶部
顶部